SELECT DISTINCT Gruposprod1.GRP1_DESCRICAO, CadCli.CLI_NOME,
SUM( Itensnf.CNT2_TOTAL_ITEM ) Total_Grupo, SUM( Itensnf.CNT2_QTD_ITEM ) QTD_Grupo
FROM "NotaFisc.DB" Notafiscal
   INNER JOIN ":CLI:CadCli.DB" CadCli
   ON  (CadCli.CLI_CODIGO = Notafiscal.CLI_CODIGO)
   INNER JOIN "ItensNF.DB" Itensnf
   ON  (Itensnf.CNT1_CODIGO = Notafiscal.CNT1_CODIGO)
   INNER JOIN ":PED:Produt1.db" Produt1
   ON  (Itensnf.STK_CODIGO = Produt1.STK_CODIGO)
   INNER JOIN ":PED:GrpPro1.db" Gruposprod1
   ON  (Produt1.GRP1_CODIGO = Gruposprod1.GRP1_CODIGO)
   FULL OUTER JOIN ":FAT:NatOpera.DB" NatOpera
   ON  (NatOpera.NOP_CODIGO = Notafiscal.NOP_CODIGO)
WHERE   (Notafiscal.CNT1_DT_EMISSAO >= '01/01/2007')
   AND  (Notafiscal.CNT1_DT_EMISSAO <= '06/11/2008')
   AND  ((NatOpera.NOP_VENDA = 'S') OR (NatOpera.NOP_VENDA is null))
   AND  ((Notafiscal.CNT1_SITUACAO <> 2) OR  (Notafiscal.CNT1_SITUACAO IS NULL))
GROUP BY CadCli.CLI_NOME, Gruposprod1.GRP1_DESCRICAO
ORDER BY CadCli.CLI_NOME, Gruposprod1.GRP1_DESCRICAO
