SELECT DISTINCT Pedidos1.OPP_CODIGO, OPER.OPP_DESCRICAO,
            SUM(Pedidos2.PED2_VALOR_TOTAL_2) Total_Grupo, 
            SUM(Pedidos2.PED2_QUANTIDADE) QTD_Grupo 
  FROM "Pedidos1.DB" Pedidos1
                   INNER JOIN ":CLI:CadCli.DB" CadCli
                           ON  (CadCli.CLI_CODIGO = Pedidos1.PED1_CLIENTE)
                   INNER JOIN "Pedidos2.DB" Pedidos2
                           ON  (Pedidos2.PED2_PEDIDO = Pedidos1.PED1_CODIGO)
                   INNER JOIN ":PED:Produt1.db" Produt1
                           ON  (Pedidos2.PED2_Produto = Produt1.STK_CODIGO)
                   INNER JOIN ":PED:GrpPro1.db" Gruposprod1
                           ON  (Produt1.GRP1_CODIGO = Gruposprod1.GRP1_CODIGO),
       "OPERPED1.DB" OPER
 WHERE (Pedidos1.PED1_Data BetWeen '05/01/2008' and '05/30/2008')
   AND (Pedidos1.OPP_CODIGO = OPER.OPP_CODIGO)
 GROUP BY Pedidos1.OPP_CODIGO, OPER.OPP_DESCRICAO
 ORDER BY Pedidos1.OPP_CODIGO, OPER.OPP_DESCRICAO
