Select CC4.CCE4_INVOICE, CC4.CCE4_SHIPPING_DATE, CC4.CCE4_C,
       SUM(CC4.CCE4_FOB)     AS ValorFOB,
       SUM(CC4.CCE4_FREIGHT) AS ValorFREIGHT,
       CC1.CC1_BANK1_COMISSAO as ComissaoBanco1,
       CC1.CC1_BANK2_COMISSAO as ComissaoBanco2,
       CC1.CC1_TIPO_CONTRATO  as TipoContrato,
       CC1.CCE1_AGENT         as Agente,
       CC1.CCE1_TANNERY       as Curtume,
       CC1.CCE1_CUSTOMER      as Cliente 
  From CADC4 CC4
       left outer join CadC1 CC1 on (CC1.CCE1_C = CC4.CCE4_C)
 Where CC4.CCE4_SHIPPING_DATE BetWeen '05/01/2008' and '05/30/2008'
 Group By CC4.CCE4_INVOICE, CC4.CCE4_SHIPPING_DATE, CC4.CCE4_C, 
          CC1.CC1_BANK1_COMISSAO, CC1.CC1_BANK2_COMISSAO, CC1.CC1_TIPO_CONTRATO,
          CC1.CCE1_AGENT, CC1.CCE1_TANNERY, CC1.CCE1_CUSTOMER
 Order By CC1.CC1_TIPO_CONTRATO, CC4.CCE4_SHIPPING_DATE, CC4.CCE4_INVOICE
