SELECT DISTINCT Gruposprod1.GRP1_DESCRICAO, Produt1.STK_DESCRICAO,
       SUM( Itensnf.CNT2_TOTAL_ITEM ) Total_Grupo,
       SUM( Itensnf.CNT2_QTD_ITEM ) QTD_Grupo
  FROM "NotaFisc.DB" Notafiscal
       INNER JOIN "ItensNF.DB" Itensnf
               ON  (Itensnf.CNT1_CODIGO = Notafiscal.CNT1_CODIGO)
       INNER JOIN ":PED:Produt1.db" Produt1
               ON  (Itensnf.STK_CODIGO = Produt1.STK_CODIGO)
       INNER JOIN ":PED:GrpPro1.db" Gruposprod1
               ON  (Produt1.GRP1_CODIGO = Gruposprod1.GRP1_CODIGO)
  FULL OUTER JOIN ":FAT:NatOpera.DB" NatOpera
               ON  (NatOpera.NOP_CODIGO = Notafiscal.NOP_CODIGO)
 WHERE (Notafiscal.CNT1_DT_EMISSAO BetWeen '05/01/2008' and '06/20/2008')
   AND ((NatOpera.NOP_VENDA = "S") OR (NatOpera.NOP_VENDA is null))
   AND ((Notafiscal.CNT1_SITUACAO <> 2) OR  (Notafiscal.CNT1_SITUACAO IS NULL))
 GROUP BY Gruposprod1.GRP1_DESCRICAO, Produt1.STK_DESCRICAO
 ORDER BY Gruposprod1.GRP1_DESCRICAO, Produt1.STK_DESCRICAO
