SELECT DISTINCT Gruposprod1.GRP1_DESCRICAO, Pedidos1.PED1_CODIGO, Produt1.STK_DESCRICAO,
            SUM(Pedidos2.PED2_VALOR_TOTAL_2) Total_Grupo, 
            SUM(Pedidos2.PED2_QUANTIDADE) QTD_Grupo 
  FROM "Pedidos1.DB" Pedidos1 
                   INNER JOIN "Pedidos2.DB" Pedidos2 
                           ON  (Pedidos2.PED2_PEDIDO = Pedidos1.PED1_CODIGO) 
                   INNER JOIN ":PED:Produt1.db" Produt1 
                           ON  (Pedidos2.PED2_Produto = Produt1.STK_CODIGO) 
                   INNER JOIN ":PED:GrpPro1.db" Gruposprod1 
                           ON  (Produt1.GRP1_CODIGO = Gruposprod1.GRP1_CODIGO)
 WHERE (Pedidos1.PED1_Data BetWeen '05/01/2008'  and '05/30/2008')
 GROUP BY Gruposprod1.GRP1_DESCRICAO, Pedidos1.PED1_CODIGO, Produt1.STK_DESCRICAO
 ORDER BY Gruposprod1.GRP1_DESCRICAO, Pedidos1.PED1_CODIGO, Produt1.STK_DESCRICAO
