SELECT  DISTINCT Turmas.MSPV_CODIGO, Alutur.ALU_NOME, Alutur.MSPV1_NOTA_FINAL,
                 Alutur.MSPV1_RESULTADO, Alutur.MSPV1_OCORRENCIA, 
                 Materia.MAT_DESCRICAO,CHSerie.CHSER_CARGA_HORARIA,
                 Turmas.MSPV_ANO,Turmas.MSPV_CURSO , Turmas.MSPV_SEMESTRE,
                 Turmas.MSPV_GRAU, Turmas.MSPV_TURNO
  FROM "ALUTUR.DB" Alutur
       INNER JOIN "TURMAS.DB" turmas
               ON (Turmas.MSPV_CODIGO    = Alutur.MSPV_CODIGO)
              AND (  Alutur.ALU_NOME <> " ")
       INNER JOIN "TabMat.db" Materia
               ON (Turmas.MSPV_MATERIA   = Materia.MAT_CODIGO)
       INNER JOIN "CHSerie.db" CHSerie
               ON (CHSerie.MAT_CODIGO    = Materia.MAT_CODIGO)
 WHERE (Turmas.MSPV_CURSO    = 1)
   AND  (Turmas.MSPV_SERIE     = 5)
   AND  (Turmas.MSPV_ANO       = 2003)
   AND  (Turmas.MSPV_SEMESTRE  = 3)
   AND  (Turmas.MSPV_TURNO = 'N')
 ORDER BY Alutur.ALU_NOME
